﻿using System.ComponentModel.DataAnnotations;
using Connected.ServiceModel;

namespace Connected.Common.Workspace.Messaging;
public sealed class QueryMessageArgs : QueryArgs
{
	[Required, MaxLength(128)]
	public string IdentityEntity { get; set; } = default!;
	[Required, MaxLength(128)]
	public string IdentityId { get; set; } = default!;
}

public sealed class InsertMessageArgs : InsertWorkspaceArgs
{

}

public sealed class UpdateMessageArgs : UpdateWorkspaceArgs
{

}
